Loading...
Searching...
No Matches
BALL::BuildBondsProcessor::Option Struct Reference

Option names. More...

`#include <BALL/STRUCTURE/buildBondsProcessor.h>`

## Static Public Attributes

static const char * | BONDLENGTHS_FILENAME
static const char * | DELETE_EXISTING_BONDS
static const char * | REESTIMATE_BONDORDERS_RINGS
static const char * | DELETE_OVERESTIMATED_BONDS

## Detailed Description

Option names.

Definition at line 44 of file buildBondsProcessor.h.

## Member Data Documentation

## BONDLENGTHS_FILENAME

const char* BALL::BuildBondsProcessor::Option::BONDLENGTHS_FILENAME

static

Name to the file where the bonds lengths, max and min bond lengths are stored in.

Definition at line 49 of file buildBondsProcessor.h.

## DELETE_EXISTING_BONDS

const char* BALL::BuildBondsProcessor::Option::DELETE_EXISTING_BONDS

static

If true, the existing bonds are deleted before bonds detection begins. If the atoms are in non-bond distance no bonds will be build! Note that the processor cannot rebuild inter-atomcontainer bonds, that will cause problem using it with proteins.

Definition at line 57 of file buildBondsProcessor.h.

## DELETE_OVERESTIMATED_BONDS

const char* BALL::BuildBondsProcessor::Option::DELETE_OVERESTIMATED_BONDS

static

If this option is set to true an additional cleaning step is performed. Overpredicted bonds like at multiple bonds at hydrogen or halogens are deleted, only the shortest bond will stay.

Definition at line 71 of file buildBondsProcessor.h.

## REESTIMATE_BONDORDERS_RINGS

const char* BALL::BuildBondsProcessor::Option::REESTIMATE_BONDORDERS_RINGS

static

If this option is set to true, the molecule will be reprocessed. In this step the processor tries to correct the somtimes wrong orders of aromatic rings.

Definition at line 64 of file buildBondsProcessor.h.